curl --request POST \
--url https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/inferences/{key}/correct \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"value": true,
"reason": "<string>"
}
'import requests
url = "https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/inferences/{key}/correct"
payload = {
"value": True,
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({value: true, reason: '<string>'})
};
fetch('https://{space}.{region}.api.niadra.com/v1/profiles/{profile_id}/inferences/{key}/correct', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"at": "2023-11-07T05:31:56Z",
"key": "<string>",
"kind": "affinity",
"origin": "<string>",
"attr": "<string>",
"confidence": 123,
"evidence": {},
"for": "self",
"polarity": "prefer",
"ref": "<string>",
"used_for": [
"<string>"
],
"value": true
}{
"code": "<string>",
"status": 123,
"title": "<string>",
"detail": "<string>",
"request_id": "<string>",
"type": "about:blank"
}Corrigir uma inferência
O valor que o cliente diz vira preferência ou atributo declarado; a inferência é apagada.
Autorizações
nia_sk_...
Corpo
O valor que o cliente diz no lugar: uma preferência declarada, ou um atributo declarado para um tamanho inferido (source: correction). A inferência que ela corrige é apagada. Um interesse é apagado, não corrigido.
Resposta
Resposta de sucesso.
Uma coisa que os sinais inferem sobre o cliente, com o que a sustenta: o cliente pode vê-la, corrigi-la e apagá-la. O que o cliente disse não é inferência e não aparece.
Quando a evidência mais recente dela aconteceu.
Um hash com chave que nomeia a inferência; nunca leva o valor dela.
1 - 512soft_constraint quando o bloco de restrições a leva como entrada branda, attribute para o tamanho inferido, affinity para um valor com evidência e ainda sem entrada, interest para um objeto.
affinity, soft_constraint, attribute, interest interactions, implicit_negative (mostrado muitas vezes e nunca engajado), ou por que um interesse foi guardado: engaged, feedback, watch.
1 - 256O campo cujo valor é inferido.
^[a-z][a-z0-9_]{0,39}\.[a-z][a-z0-9_]{0,63}$O que a sustenta, em contagens: exposição efetiva, sinal ponderado, eventos, sessões e ganho para um valor; vezes para um interesse.
^(?:self|gift|beneficiary:[A-Za-z0-9_-]{1,64})$prefer, avoid O objeto de um interesse.
^[a-z][a-z0-9_]{0,39}:[^:\s]{1,256}:\S{1,512}$As finalidades para as quais é usada.
1 - 256
